libnvme(2)

NAME
enum nvme_mi_resp_status - values for the response status field

SYNOPSIS
enum nvme_mi_resp_status {
NVME_MI_RESP_SUCCESS ,
NVME_MI_RESP_MPR ,
NVME_MI_RESP_INTERNAL_ERR ,
NVME_MI_RESP_INVALID_OPCODE ,
NVME_MI_RESP_INVALID_PARAM ,
NVME_MI_RESP_INVALID_CMD_SIZE ,
NVME_MI_RESP_INVALID_INPUT_SIZE ,
NVME_MI_RESP_ACCESS_DENIED ,
NVME_MI_RESP_VPD_UPDATES_EXCEEDED ,
NVME_MI_RESP_PCIE_INACCESSIBLE ,
NVME_MI_RESP_MEB_SANITIZED ,
NVME_MI_RESP_ENC_SERV_FAILURE ,
NVME_MI_RESP_ENC_SERV_XFER_FAILURE ,
NVME_MI_RESP_ENC_FAILURE ,
NVME_MI_RESP_ENC_XFER_REFUSED ,
NVME_MI_RESP_ENC_FUNC_UNSUP ,
NVME_MI_RESP_ENC_SERV_UNAVAIL ,
NVME_MI_RESP_ENC_DEGRADED ,
NVME_MI_RESP_SANITIZE_IN_PROGRESS

};

Constants

NVME_MI_RESP_SUCCESS
    success

NVME_MI_RESP_MPR
    More Processing Required

NVME_MI_RESP_INTERNAL_ERR
    Internal Error

NVME_MI_RESP_INVALID_OPCODE
    Invalid command opcode

NVME_MI_RESP_INVALID_PARAM
    Invalid command parameter

NVME_MI_RESP_INVALID_CMD_SIZE
    Invalid command size

NVME_MI_RESP_INVALID_INPUT_SIZE
    Invalid command input data size

NVME_MI_RESP_ACCESS_DENIED
    Access Denied

NVME_MI_RESP_VPD_UPDATES_EXCEEDED
    More VPD updates than allowed

NVME_MI_RESP_PCIE_INACCESSIBLE
    PCIe functionality currently unavailable

NVME_MI_RESP_MEB_SANITIZED
    MEB has been cleared due to sanitize

NVME_MI_RESP_ENC_SERV_FAILURE
    Enclosure services process failed

NVME_MI_RESP_ENC_SERV_XFER_FAILURE
    Transfer with enclosure services failed

NVME_MI_RESP_ENC_FAILURE
    Unreoverable enclosure failure

NVME_MI_RESP_ENC_XFER_REFUSED
    Enclosure services transfer refused

NVME_MI_RESP_ENC_FUNC_UNSUP
    Unsupported enclosure services function

NVME_MI_RESP_ENC_SERV_UNAVAIL
    Enclosure services unavailable

NVME_MI_RESP_ENC_DEGRADED
    Noncritical failure detected by enc. services

NVME_MI_RESP_SANITIZE_IN_PROGRESS
    Command prohibited during sanitize